Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Stub Class Reference

`#include <RT_Stub.h>`

Inheritance diagram for TAO_RT_Stub:

[legend]
Collaboration diagram for TAO_RT_Stub:

[legend]
List of all members.

## Public Methods
| TAO_RT_Stub (const char *repository_id, const TAO_MProfile &profiles, TAO_ORB_Core *orb_core)
virtual | ~TAO_RT_Stub (void)
CORBA::Policy_ptr | get_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CORBA::Policy_ptr | get_client_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual TAO_Stub * | set_policy_overrides (const CORBA::PolicyList &policies, CORBA::SetOverrideType set_add ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CORBA::Policy_ptr | exposed_priority_model (ACE_ENV_SINGLE_ARG_DECL)
| Creates a Stub Object.
CORBA::Policy_ptr | exposed_priority_banded_connection (ACE_ENV_SINGLE_ARG_DECL)
CORBA::Policy_ptr | exposed_client_protocol (ACE_ENV_SINGLE_ARG_DECL)
CORBA::Policy * | private_connection (void)
CORBA::Policy * | priority_banded_connection (void)
CORBA::Policy * | client_protocol (void)
CORBA::Policy * | effective_priority_banded_connection (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
CORBA::Policy * | effective_client_protocol (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Private Methods
void | parse_policies (ACE_ENV_SINGLE_ARG_DECL)
| Helper method used to parse the policies.
void | exposed_priority_model (CORBA::Policy_ptr policy)
void | exposed_priority_banded_connection (CORBA::Policy_ptr policy)
void | exposed_client_protocol (CORBA::Policy_ptr policy)
| TAO_RT_Stub (const TAO_RT_Stub &)
TAO_RT_Stub & | operator= (const TAO_RT_Stub &)
## Private Attributes
CORBA::Policy * | priority_model_policy_
CORBA::Policy * | priority_banded_connection_policy_
CORBA::Policy * | client_protocol_policy_
CORBA::Boolean | are_policies_parsed_

## Detailed Description

This class represent a stub with extended functionality, which are needed for RTCORBA.

## Constructor & Destructor Documentation

TAO_RT_Stub::TAO_RT_Stub | ( | const char * | repository_id,
|  | const TAO_MProfile & | profiles,
|  | TAO_ORB_Core * | orb_core
| ) |

TAO_RT_Stub::~TAO_RT_Stub | ( | void |  | ) | `[virtual]`

TAO_RT_Stub::TAO_RT_Stub | ( | const TAO_RT_Stub & |  | ) | `[private]`

## Member Function Documentation

CORBA::Policy * TAO_RT_Stub::client_protocol | ( | void |  | ) |

CORBA::Policy * TAO_RT_Stub::effective_client_protocol | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

CORBA::Policy * TAO_RT_Stub::effective_priority_banded_connection | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

void TAO_RT_Stub::exposed_client_protocol | ( | CORBA::Policy_ptr | policy | ) | `[private]`

CORBA::Policy * TAO_RT_Stub::exposed_client_protocol | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Returns the CORBA::Policy (which will be narrowed and used as RTCORBA::ClientProtocolPolicy) exported in object's IOR.

void TAO_RT_Stub::exposed_priority_banded_connection | ( | CORBA::Policy_ptr | policy | ) | `[private]`

CORBA::Policy * TAO_RT_Stub::exposed_priority_banded_connection | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Returns the CORBA::Policy (which will be narrowed and used as RTCORBA::PriorityBandedConnectionPolicy) exported in object's IOR.

void TAO_RT_Stub::exposed_priority_model | ( | CORBA::Policy_ptr | policy | ) | `[private]`

CORBA::Policy * TAO_RT_Stub::exposed_priority_model | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Creates a Stub Object. Returns the CORBA::Policy (which will be narrowed to be used as RTCORBA::PriorityModelPolicy) exported in object's IOR.

CORBA::Policy_ptr TAO_RT_Stub::get_client_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from TAO_Stub.

CORBA::Policy_ptr TAO_RT_Stub::get_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Returns the effective policy if <type> is a known client-exposed policy type. Returns the effective override for all other policy types. Reimplemented from TAO_Stub.

TAO_RT_Stub& TAO_RT_Stub::operator= | ( | const TAO_RT_Stub & |  | ) | `[private]`

void TAO_RT_Stub::parse_policies | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[private]`

| Helper method used to parse the policies.

CORBA::Policy * TAO_RT_Stub::priority_banded_connection | ( | void |  | ) |

CORBA::Policy * TAO_RT_Stub::private_connection | ( | void |  | ) |

TAO_Stub * TAO_RT_Stub::set_policy_overrides | ( | const CORBA::PolicyList & | policies,
|  | CORBA::SetOverrideType set_add | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[virtual]`

| Reimplemented from TAO_Stub.

## Member Data Documentation

CORBA::Boolean TAO_RT_Stub::are_policies_parsed_`[private]`

CORBA::Policy* TAO_RT_Stub::client_protocol_policy_`[private]`

CORBA::Policy* TAO_RT_Stub::priority_banded_connection_policy_`[private]`

CORBA::Policy* TAO_RT_Stub::priority_model_policy_`[private]`

The documentation for this class was generated from the following files:

- RT_Stub.h
- RT_Stub.cpp